---
title: "Live Yahoo Organic SERP Advanced"
url: "https://docs.dataforseo.com/v3/serp/yahoo/organic/live/advanced/"
date: "2026-06-06"
---

## Live Yahoo Organic SERP Advanced

Live SERP provides real-time data on top search engine results. These results are specific to the selected location (see [the List of Locations](https://docs.dataforseo.com/v3/serp/yahoo/locations.md)) and language (see [the List of Languages](https://docs.dataforseo.com/v3/serp/yahoo/languages.md)) settings.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/yahoo/organic/live/advanced     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/yahoo-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the fields you can use for setting a task.

**Description of the fields for setting a task:**

| Field name | Type | Description |
|---|---|---|
| `url` | string | *direct URL of the search query*   optional field   you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.   example:   `https://search.yahoo.com/search?p=rank+checker&n=100&vl=lang_en&vc=us&ei=UTF-8` |
| `keyword` | string | *keyword*   **required field**   you can specify **up to 700 characters** in the `keyword` field   **all %## will be decoded (plus character ‘+’ will be decoded to a space character)**   if you need to use the “%” character for your `keyword`, please specify it as “%25”;   if you need to use the “+” character for your `keyword`, please specify it as “%2B” learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_name` | string | *full name of search engine location*   **required field if you don’t specify** `location_code` or `location_coordinate`   **if you use this field, you don’t need to specify `location_code` or `location_coordinate`**   you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/yahoo/locations`   example:   `London,England,United Kingdom` |
| `location_code` | integer | *search engine location code*   **required field if you don’t specify** `location_name` or `location_coordinate`   **if you use this field, you don’t need to specify `location_name` or `location_coordinate`**   you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/yahoo/locations`   example:   `2840` |
| `location_coordinate` | string | *GPS coordinates of a location*   **required field if you don’t specify** `location_name` or `location_code`   **if you use this field, you don’t need to specify `location_name` or `location_code`**   `location_coordinate` parameter should be specified in the *“latitude,longitude,radius”* format   the maximum number of decimal digits for *“latitude”* and *“longitude”*: 7   the minimum value for *“radius”*: 199.9 (mm)   the maximum value for *“radius”*: 199999 (mm)   example:   `53.476225,-2.243572,200` |
| `language_name` | string | *full name of search engine language*   **required field if you don’t specify** `language_code`   **if you use this field, you don’t need to specify `language_code`**   you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/yahoo/languages`   example:   `English` |
| `language_code` | string | *search engine language code*   **required field if you don’t specify** `language_name`   **if you use this field, you don’t need to specify `language_name`**   you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/yahoo/languages`   example:   `en` |
| `device` | string | *device type*   optional field   return results for a specific device type   can take the values:`desktop`, `mobile`   default value: `desktop` |
| `os` | string | *device operating system*   optional field   if you specify `desktop` in the `device` field, choose from the following values: `windows`, `macos`   default value: `windows`   if you specify `mobile` in the `device` field, choose from the following values: `android`, `ios`   default value: `android` |
| `se_domain` | string | *search engine domain*   optional field   we choose the relevant search engine domain automatically according to the location and language you specify   however, you can set a custom search engine domain in this field   example:   `au.search.yahoo.com`, `uk.search.yahoo.com`, `ca.search.yahoo.com`, etc. |
| `depth` | integer | *parsing depth*   optional field   number of results in SERP   default value: `6`   max value: `700`  **Your account will be billed per each SERP;**   Each Yahoo SERP can contain fewer than 10 results, so setting depth above the default value may result in additional charges [](https://dataforseo.com/help-center/how-many-results-scraped);   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/yahoo-serp-api "Pricing") page. |
| `max_crawl_pages` | integer | *page crawl limit*   optional field   number of search results pages to crawl   default value: `1`   max value: `100`   **Note:** the `max_crawl_pages` and `depth` parameters complement each other;   learn more at [our help center](https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work) |
| `target` | string | *target domain, subdomain, or webpage to get results for*   optional field   a domain or a subdomain should be specified without `https://` and `www.`   note that the results of `target`-specific tasks will only include SERP elements that contain a `url` string;   you can also use a wildcard (‘\*’) character to specify the search pattern in SERP and narrow down the results;   examples:   **`example.com`** – returns results for the website’s home page with URLs, such as `https://example.com`, or `https://www.example.com/`, or `https://example.com/`;   **`example.com*`** – returns results for the domain, including all its pages;   **`*example.com*`** – returns results for the entire domain, including all its pages and subdomains;   **`*example.com`** – returns results for the home page regardless of the subdomain, such as `https://en.example.com`;   **`example.com/example-page`** – returns results for the exact URL;   **`example.com/example-page*`** – returns results for all domain’s URLs that start with the specified string |
| `search_param` | string | *additional parameters of the search query*   optional field   [get the list of available parameters and additional details here](https://dataforseo.com/help-center/yahoo-search-engine-parameters-and-how-to-use-them) |
| `stop_crawl_on_match` | array | *array of targets to stop crawling*   optional field   specified as an array of target objects   each target object consists of one `match_type` field and one `match_value` field   **you can specify up to 10 target objects in this array**   if specified, the response will contain SERP results up to and including the specified `match_value`;   example:   `"stop_crawl_on_match":[{"match_value":"dataforseo.com","match_type":"with_subdomains"}]`   learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/using-the-stop_crawl_on_match-parameter-in-serp-api)  **Your account will be billed for every SERP crawled until the conditions you specified in this array are met** |
| `match_value` | string | *target domain, subdomain, or wildcard value*   **required field if `stop_crawl_on_match` is specified**   specify a target domain, subdomain, or wildcard value;   **Note:** domain or subdomain must be specified without a request protocol;   example: `"match_value": "dataforseo.com"`,   `"match_value": "/blog/post-*"` |
| `match_type` | string | *target match type*   **required field if `stop_crawl_on_match` is specified**   type of match for the `match_value`   possible values:   `domain` – specific domain or subdomain   `with_subdomains` – main domain and subdomains   `wildcard` – wildcard pattern |
| `tag` | string | *user-defined task identifier*   optional field   *the character limit is 255*   you can use this parameter to identify the task and match it with the result   you will find the specified `tag` value in the `data` object of the response |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `keyword` | string | *keyword obtained as a result of search engine autocorrection*   the results will be provided for the corrected keyword |
| `type` | string | *type of autocorrection*   possible values:   `did_you_mean`, `showing_results_for`, `no_results_found_for`, `including_results_for` |
| `refinement_chips` | object | *search refinement chips*   equals `null` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types:   [`featured_snippet`](#featured_snippet), [`images`](#images), [`local_pack`](#local_pack), [`hotels_pack`](#hotels_pack), [`organic`](#organic), [`paid`](#paid), [`people_also_ask`](#people_also_ask), [`related_searches`](#related_searches), [`shopping`](#shopping), [`recipes`](#recipes), [`top_stories`](#top_stories), [`video`](#video), [`ai_overview`](#ai_overview) |
| `se_results_count` | integer | *total number of results in SERP* |
| `pages_count` | integer | *total pages retrieved*   total number of retrieved SERPs in the result |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **<a name="organic"></a>‘organic’ element in SERP** |  |  |
| `type` | string | *type of element = **‘organic’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL in SERP* |
| `cache_url` | string | *cached version of the page* |
| `related_search_url` | string | *URL to a similar search*   URL to a new search for the same keyword(s) [on related sites](https://support.google.com/websearch/answer/2466433?hl=en#:~:text=Search%20for%20related%20sites) |
| `breadcrumb` | string | *breadcrumb in SERP* |
| `is_image` | boolean | *indicates whether the element contains an `image`* |
| `is_video` | boolean | *indicates whether the element contains a `video`* |
| `is_featured_snippet` | boolean | *indicates whether the element is a `featured_snippet`* |
| `is_malicious` | boolean | *indicates whether the element is marked as malicious* |
| `is_web_story` | boolean | *indicates whether the element is marked as Google web story* |
| `description` | string | *description of the results element in SERP* |
| `pre_snippet` | string | *includes additional information appended before the result description in SERP* |
| `extended_snippet` | string | *includes additional information appended after the result description in SERP* |
| `images` | array | *images of the element* |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `amp_version` | boolean | *Accelerated Mobile Pages*   indicates whether an item has the Accelerated Mobile Page (AMP) version |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `price` | object | *pricing details*   contains the pricing details of the product or service featured in the result |
| `current` | float | *current price*   indicates the current price of the product or service featured in the result |
| `regular` | float | *regular price*   indicates the regular price of the product or service with no discounts applied |
| `max_value` | float | *the maximum price*   the maximum price of the product or service as indicated in the result |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `links` | array | *sitelinks*   the links shown below some of Google’s search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *sitelink URL* |
| `faq` | object | *frequently asked questions*   questions and answers extension shown below some of Google’s search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**faq\_box**‘* |
| `items` | array | *items featured in the faq\_box* |
| `type` | string | *type of element = ‘**faq\_box\_element**‘* |
| `title` | string | *question related to the result* |
| `description` | string | *answer provided in the drop-down block* |
| `links` | array | *links featured in the faq\_box\_element* |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *link anchor text* |
| `url` | string | *link URL* |
| `extended_people_also_search` | array | *extension of the organic element*   extension of the organic result containing related search queries   **Note:** extension appears in SERP upon clicking on the result and then bouncing back to search results |
| `about_this_result` | object | *contains information from the ‘About this result’ panel*   **note:** `about_this_result` feature is not available in Yahoo search engine, that’s why it always equals `null` |
| `related_result` | array | *related result from the same domain*   related result from the same domain appears as a part of the main result snippet;   **note:** `related_result` feature is not available in Yahoo search engine, that’s why it always equals `null` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="paid"></a>‘paid’ element in SERP** |  |  |
| `type` | string | *type of element = **‘paid’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP of the Ad element* |
| `description` | string | *description of the results element in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL of the Ad element in SERP* |
| `breadcrumb` | string | *breadcrumb of the Ad element in SERP* |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `extra` | object | *additional information about the result* |
| `ad_aclk` | string | *the identifier of the ad* |
| `description` | string | *description of the results element in SERP* |
| `description_rows` | array | *extended description*   if there is none, equals `null` |
| `links` | array | *sitelinks*   the links shown below some of Google’s search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the link element* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *URL link* |
| `ad_aclk` | string | *the identifier of the ad* |
| `price` | object | *pricing details*   contains the pricing details of the product or service featured in the result |
| `current` | float | *current price*   indicates the current price of the product or service featured in the result |
| `regular` | float | *regular price*   indicates the regular price of the product or service with no discounts applied |
| `max_value` | float | *the maximum price*   the maximum price of the product or service as indicated in the result |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="images"></a>‘images’ element in SERP** |  |  |
| `type` | string | *type of element = **‘images’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *original URL of the image*   the URL leading to the image on the original resource |
| `image_url` | string | *URL to the compressed image*   the URL leading to the image on DataForSEO storage |
| `related_image_searches` | array | *contains keywords and images related to the specified search term*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**related\_image\_searches\_element**‘* |
| `title` | string | *title of the element*   indicates keyword that may be used with the specified term to refine image search |
| `alt` | string | *alt tag of the featured image* |
| `url` | string | *original URL of the featured image*   the URL leading to the image on the original resource |
| `image_url` | string | *URL to the compressed featured image*   the URL leading to the image on DataForSEO storage |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="video"></a>‘video’ element in SERP** |  |  |
| `type` | string | *type of element = **‘video’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**video\_element**‘* |
| `source` | string | *source of the element*   indicates the source of the video |
| `title` | string | *title of the result in SERP* |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="shopping"></a>‘shopping’ element in SERP** |  |  |
| `type` | string | *type of element = **‘shopping’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**shopping\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `price` | object | *price of the shopping element* |
| `current` | float | *current price*   indicates the current price of the shopping element |
| `regular` | float | *regular price*   indicates the regular price of the shopping element |
| `max_value` | float | *the maximum price*   indicates the maximum price of the shopping element |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `source` | string | *source of the element*   indicates the source of information included in the `shopping_element` |
| `description` | string | *the description of the results element in SERP* |
| `marketplace` | string | *merchant account provider*   commerce site that hosts products or websites of individual sellers under the same merchant account   example:   `by Google` |
| `marketplace_url` | string | *relevant marketplace URL*   URL of the page on the marketplace website where the product is hosted |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="featured_snippet"></a>‘featured\_snippet’ element in SERP** |  |  |
| `type` | string | *type of element = **‘featured\_snippet’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `featured_title` | string | *the title of the featured snippets source page* |
| `description` | string | *description of the results element in SERP* |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `url` | string | *relevant URL* |
| `images` | array | *images of the element* |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `table` | object | *results table*   if there are none, equals `null` |
| `table_header` | array | *column names* |
| `table_content` | array | *the content of the table*   one line of the table in this element of the array |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="top_stories"></a>‘top\_stories’ element in SERP** |  |  |
| `type` | string | *type of element = **‘top\_stories’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**top\_stories\_element**‘* |
| `source` | string | *source of the element*   indicates the source of information included in the `top_stories_element` |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `date` | string | *the date when the page source of the element was published* |
| `amp_version` | boolean | *Accelerated Mobile Pages*   indicates whether an item has the Accelerated Mobile Page (AMP) version |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `url` | string | *URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| <a name="hotels_pack"></a>**‘hotels\_pack’ element in SERP** |  |  |
| `type` | string | *type of element = **‘hotels\_pack’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `date_from` | string | *starting date of stay*   in the format “year-month-date”   example:   2019-11-15 |
| `date_to` | string | *ending date of stay*   in the format “year-month-date”   example:   2019-11-17 |
| `items` | array | *contains results featured in the ‘hotels\_pack’ element of SERP* |
| `type` | string | *type of element = **‘hotels\_pack\_element’*** |
| `price` | object | *price of booking a place for the specified dates of stay* |
| `current` | float | *current price*   indicates the current price of booking a place for the specified dates of stay |
| `regular` | float | *regular price*   indicates the regular price of booking a place for the specified dates of stay |
| `max_value` | float | *the maximum price*   the maximum price of booking a place for the specified dates of stay |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `title` | string | *title of the place* |
| `desription` | string | *description of the place in SERP* |
| `hotel_identifier` | string | *unique hotel identifier*   unique hotel identifier assigned by Google;   example: `"CgoIjaeSlI6CnNpVEAE"` |
| `domain` | string | *domain in SERP* |
| `url` | string | *relevant URL* |
| `is_paid` | boolean | *indicates whether the element is an ad* |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="local_pack"></a>‘local\_pack’ element in SERP** |  |  |
| `type` | string | *type of element = **‘local\_pack’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `domain` | string | *domain in SERP* |
| `phone` | string | *phone number* |
| `url` | string | *relevant URL* |
| `is_paid` | boolean | *indicates whether the element is an ad* |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `cid` | string | *client id*   unique id of a local establishment |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="recipes"></a>‘recipes’ element in SERP** |  |  |
| `type` | string | *type of element = **‘recipes’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**recipes\_element**‘* |
| `title` | string | *title of the item* |
| `url` | string | *`recipes_element` URL* |
| `domain` | string | *domain in SERP* |
| `source` | string | *source of the element*   indicates the source of information included in the `recipes_element` |
| `description` | string | *snippet of the element* |
| `time` | string | *the total time it takes to prepare the cook the dish* |
| `rating` | object | *the item’s rating*   the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="people_also_ask"></a>‘people\_also\_ask’ element in SERP** |  |  |
| `type` | string | *type of element = **‘people\_also\_ask’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**people\_also\_ask\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `expanded_element` | array | *expanded element* |
| `type` | string | *type of element = ‘**people\_also\_ask\_expanded\_element**‘* |
| `featured_title` | string | *title* |
| `url` | string | *relevant URL* |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `table` | object | *results table*   if there are none, equals `null` |
| `table_header` | array | *column names* |
| `table_content` | array | *the content of the table*   one line of the table in this element of the array |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="related_searches"></a>‘related\_searches’ element in SERP** |  |  |
| `type` | string | *type of element = **‘related\_searches’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Yahoo search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **<a name="ai_overview"></a>‘ai\_overview’ element in SERP** |  |  |
| `type` | string | *type of element = **‘ai\_overview’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `asynchronous_ai_overview` | boolean | *indicates whether the element is loaded asynchronously*   if `true`, the `ai_overview` element is loaded asynchronously;   if `false`, the `ai_overview` element is loaded from cache;   **Note:** at the moment, the content of `ai_overview` elements that is not available in Yahoo Organic SERP API |
| `markdown` | string | *content of the element in markdown format*   the text of the `ai_overview` formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| `items` | array | *items present in the element* |
| `type` | string | *type of element = ‘**ai\_overview\_element**‘* |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `title` | string | *title of the element* |
| `text` | string | *text or description of the element in SERP* |
| `markdown` | string | *content of the element in markdown format* |
| `references` | array | *additional references relevant to the item*   includes references to webpages that may have been used to generate the `ai_overview` |
| `type` | string | *type of element = ‘**ai\_overview\_reference**‘* |
| `source` | string | *reference source name or title* |
| `domain` | string | *domain name of the reference* |
| `url` | string | *reference page URL* |
| `title` | string | *reference page title* |
| `text` | string | *reference text*   text snippet from the page that was used to generate the `ai_overview_element` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   equals `null` if `calculate_rectangles` in the POST request is not set to `true` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/yahoo/organic/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "language_code" => "en",
    "location_code" => 2840,
    "keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
    // POST /v3/serp/yahoo/organic/live/advanced
    // in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/yahoo/organic/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/yahoo/organic/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("albert einstein"),
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
language_code="en",
location_code=2840,
keyword="albert einstein"
)
# POST /v3/serp/yahoo/organic/live/advanced
# in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/yahoo/organic/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "albert einstein"
            });
            // POST /v3/serp/yahoo/organic/live/advanced
            // in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/yahoo/organic/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20220414",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1721 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "04131428-2692-0139-1000-8e6bd9135c43",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.1029 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "yahoo",
        "organic",
        "live",
        "advanced",
        "04131428-2692-0139-1000-8e6bd9135c43"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "yahoo",
        "se_type": "organic",
        "language_code": "en",
        "location_name": "United States",
        "keyword": "hotels in New York",
        "device": "mobile",
        "os": "android"
      },
      "result": [
        {
          "keyword": "hotels in New York",
          "type": "organic",
          "se_domain": "search.yahoo.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://search.yahoo.com/search?p=hotels+in+New+York&n=100&vl=lang_en&vc=us&ei=UTF-8&va_vt=any&vo_vt=any&ve_vt=any&vp_vt=any&vst=0&vf=all&vm=i&fl=0&vs=",
          "datetime": "2022-04-13 11:28:37 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "paid",
            "hotels_pack",
            "top_stories",
            "organic",
            "ai_overview",
            "video",
            "images",
            "related_searches"
          ],
          "se_results_count": 0,
          "pages_count": 1,
          "items_count": 137,
          "items": [
            {
              "type": "paid",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/section[1]/section[1]",
              "title": "Upstate New York Resort - Official Site - Book Direct",
              "domain": "www.bing.com",
              "breadcrumb": "lakejoseph.com",
              "url": "https://www.bing.com/aclick?ld=e8HMXtl1AZGpAlHhSRSOCGxDVUCUxPLg52QjNbkAmB_d-SoRMS6NHpK1dMwRINYkDxigYYWog3688Msl5flwjNVOab3xQBtdWsSigX3zSEf4jd6v2l2vAi0B3igDTsnhm032vihMZf0medXKjJQgASeCysbVDxJ70ufX7N0bowj4AP4IkAurHQ2PvgsEdH359Tfx3WMA&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZiUzZnV0bV9zb3VyY2UlM2RiaW5nJTI2dXRtX21lZGl1bSUzZGNwYyUyNnV0bV9jYW1wYWlnbiUzZEJyYW5kJTI1MjBDYW1wYWlnbiUyNnV0bV90ZXJtJTNkaW5uJTI1MjBhdCUyNTIwbGFrZSUyNTIwam9zZXBoJTI1MjBuZXclMjUyMHlvcmslMjZ1dG1fY29udGVudCUzZEJyYW5k&rlid=a86a17710aad114732d47527b975a0b2/RK=2/RS=iYzUOJjAJ7r3ju2ccOgcffL.2fE-;_ylt=AwrT4abYs1ZivEoAfSxx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
              "highlighted": [
                "New York",
                "in",
                "In"
              ],
              "extra": {
                "ad_aclk": null
              },
              "description": "Find Your Perfect RoomnPet Friendly OptionsnVIP Packages & SpecialsnBreakfast is Included",
              "description_rows": null,
              "links": [
                {
                  "type": "ad_link_element",
                  "title": "Snowshoeing & XC Skiing · Tesla Charging Station",
                  "description": null,
                  "url": "https://www.bing.com/aclick?ld=e8HMXtl1AZGpAlHhSRSOCGxDVUCUxPLg52QjNbkAmB_d-SoRMS6NHpK1dMwRINYkDxigYYWog3688Msl5flwjNVOab3xQBtdWsSigX3zSEf4jd6v2l2vAi0B3igDTsnhm032vihMZf0medXKjJQgASeCysbVDxJ70ufX7N0bowj4AP4IkAurHQ2PvgsEdH359Tfx3WMA&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZiUzZnV0bV9zb3VyY2UlM2RiaW5nJTI2dXRtX21lZGl1bSUzZGNwYyUyNnV0bV9jYW1wYWlnbiUzZEJyYW5kJTI1MjBDYW1wYWlnbiUyNnV0bV90ZXJtJTNkaW5uJTI1MjBhdCUyNTIwbGFrZSUyNTIwam9zZXBoJTI1MjBuZXclMjUyMHlvcmslMjZ1dG1fY29udGVudCUzZEJyYW5k&rlid=a86a17710aad114732d47527b975a0b2/RK=2/RS=iYzUOJjAJ7r3ju2ccOgcffL.2fE-;_ylt=AwrT4abYs1ZivEoAfyxx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
                  "ad_aclk": null
                },
                {
                  "type": "ad_link_element",
                  "title": "Amenities: Lovely Rooms, Pet Friendly Options, In Room Spa Services",
                  "description": null,
                  "url": "https://www.bing.com/aclick?ld=e8HMXtl1AZGpAlHhSRSOCGxDVUCUxPLg52QjNbkAmB_d-SoRMS6NHpK1dMwRINYkDxigYYWog3688Msl5flwjNVOab3xQBtdWsSigX3zSEf4jd6v2l2vAi0B3igDTsnhm032vihMZf0medXKjJQgASeCysbVDxJ70ufX7N0bowj4AP4IkAurHQ2PvgsEdH359Tfx3WMA&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZiUzZnV0bV9zb3VyY2UlM2RiaW5nJTI2dXRtX21lZGl1bSUzZGNwYyUyNnV0bV9jYW1wYWlnbiUzZEJyYW5kJTI1MjBDYW1wYWlnbiUyNnV0bV90ZXJtJTNkaW5uJTI1MjBhdCUyNTIwbGFrZSUyNTIwam9zZXBoJTI1MjBuZXclMjUyMHlvcmslMjZ1dG1fY29udGVudCUzZEJyYW5k&rlid=a86a17710aad114732d47527b975a0b2/RK=2/RS=iYzUOJjAJ7r3ju2ccOgcffL.2fE-;_ylt=AwrT4abYs1ZivEoAgCxx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
                  "ad_aclk": null
                },
                {
                  "type": "ad_link_element",
                  "title": "Find Your Perfect Room",
                  "description": null,
                  "url": "https://www.bing.com/aclick?ld=e8MkZMBR_1LbUu5onAJxVG1DVUCUw97C2s_u8xmKpzumEWsUzFVsMCywt383mUR3-OekX-Px8TJrd_SAglm95zLC4XAl_9fEj5lH5B8e03jC2-Mnotf47XnmRR9CVCmlD3G1oHKMXVNuyl_cLdnZlj5rGTMX-ENyEnrcu789p2Y4NI2l8qjZD5Rx8eT_WBQSKZgiCc_iSSnLy45sZLJSoG23Kciow&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZnVwc3RhdGUtbnktbG9kZ2luZyUzZnV0bV9zb3VyY2UlM2RiaW5nJTI2dXRtX21lZGl1bSUzZGNwYyUyNnV0bV9jYW1wYWlnbiUzZEJyYW5kJTI1MjBDYW1wYWlnbiUyNnV0bV90ZXJtJTNkaW5uJTI1MjBhdCUyNTIwbGFrZSUyNTIwam9zZXBoJTI1MjBuZXclMjUyMHlvcmslMjZ1dG1fY29udGVudCUzZEJyYW5k&rlid=e5271e270c4111f347b07c71bf9918d4/RK=2/RS=2oVr7TX97MzUlq332vYkPcJUAes-;_ylt=AwrT4abYs1ZivEoAgSxx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
                  "ad_aclk": null
                },
                {
                  "type": "ad_link_element",
                  "title": "Pet Friendly Options",
                  "description": null,
                  "url": "https://www.bing.com/aclick?ld=e8JF9lVzlgrbiGqaqIxTNj1zVUCUzVGJFJLVBK24VC05fJgG08qJuYtTQgCWmH0amcgiU0lPZu1h5WV-jOypzCiETf73KUpB8XmC0ec_X2AV0ac3WCDNT6q-xeUQxixjtsa8jPc6O1PedkEOSDql3eChNGqm_iQLwpZyRQ3p_fwkJK-IjRfOF35yRmPdBN_uduH-Glb4r5elRqE95ZRY3H1Lp_yTw&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZnBldC1mcmllbmRseSUzZnV0bV9zb3VyY2UlM2RiaW5nJTI2dXRtX21lZGl1bSUzZGNwYyUyNnV0bV9jYW1wYWlnbiUzZEJyYW5kJTI1MjBDYW1wYWlnbiUyNnV0bV90ZXJtJTNkaW5uJTI1MjBhdCUyNTIwbGFrZSUyNTIwam9zZXBoJTI1MjBuZXclMjUyMHlvcmslMjZ1dG1fY29udGVudCUzZEJyYW5k&rlid=f8a313195d08116372ec714feed0bd0b/RK=2/RS=J1b1ISn4OI2syEhE4Hob5b1ccqU-;_ylt=AwrT4abYs1ZivEoAgyxx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
                  "ad_aclk": null
                },
                {
                  "type": "ad_link_element",
                  "title": "VIP Packages & Specials",
                  "description": null,
                  "url": "https://www.bing.com/aclick?ld=e8OHVQizUvvEOUCDe2AMBtazVUCUzBEgVQ798ENI3IH-wGjmfz6Uc_29Z9_v33UjPrtVdB8ynMYYXBk89LAEYTHdjawtkNHYTFnyGid83S-AU5pXdHTpB1Pmt7P1YR0Sm0Jp0YxxVj7GMFP9mS5EK6DPs3uV8FCoFlNP4XXn6umASGQUWRWnonpU5ie_C3Aa9l9s6Vr-RNDHM_w3rGx3S3OpV4T54&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZmNhdHNraWxscy1ueS1nZXRhd2F5JTNmdXRtX3NvdXJjZSUzZGJpbmclMjZ1dG1fbWVkaXVtJTNkY3BjJTI2dXRtX2NhbXBhaWduJTNkQnJhbmQlMjUyMENhbXBhaWduJTI2dXRtX3Rlcm0lM2Rpbm4lMjUyMGF0JTI1MjBsYWtlJTI1MjBqb3NlcGglMjUyMG5ldyUyNTIweW9yayUyNnV0bV9jb250ZW50JTNkQnJhbmQ&rlid=c708dbeed87e16a3715eb9b86ba6f675/RK=2/RS=o1oU56jvgpApoqAPxNmrIjhIRzQ-;_ylt=AwrT4abYs1ZivEoAgixx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
                  "ad_aclk": null
                },
                {
                  "type": "ad_link_element",
                  "title": "Breakfast is Included",
                  "description": null,
                  "url": "https://www.bing.com/aclick?ld=e82PkaRnHMEFzAP5ApPpPbVzVUCUxuvUshgFQYMYT80CueS5MX0QBG04D6zbdC4i6h9xOD8XbL033pwy0c03_y6NbN5xHP26x3eKJwhmWKBVTAt2AKJucoqpDJl2-NfsfAwXkVMOU8geoAm4SanzBSN0nzL6eRgDMiWfJvX9T6CmltLTHEIYi3LjNrHKoI7ggtMtAhFN3NO39tTf5sBXjFMeItPbA&u=aHR0cHMlM2ElMmYlMmZsYWtlam9zZXBoLmNvbSUyZnVwc3RhdGUtbnktYmVkLWFuZC1icmVha2Zhc3QlM2Z1dG1fc291cmNlJTNkYmluZyUyNnV0bV9tZWRpdW0lM2RjcGMlMjZ1dG1fY2FtcGFpZ24lM2RCcmFuZCUyNTIwQ2FtcGFpZ24lMjZ1dG1fdGVybSUzZGlubiUyNTIwYXQlMjUyMGxha2UlMjUyMGpvc2VwaCUyNTIwbmV3JTI1MjB5b3JrJTI2dXRtX2NvbnRlbnQlM2RCcmFuZA&rlid=f43cb20ccb0411cb7497d05a78dcb261/RK=2/RS=H9rYPa2OhMDPzbfhfVu_c1hJQIk-;_ylt=AwrT4abYs1ZivEoAhCxx.9w4;_ylu=Y29sbwNncTEEcG9zAzEEdnRpZAMEc2VjA292LXRvcA--?p=hotels+in+New+York&IG=0ad3e1a65d054f6fbe00000000d9a706",
                  "ad_aclk": null
                }
              ],
              "price": null,
              "rectangle": null
            },
            {
              "type": "featured_snippet",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/ol[1]/li[1]",
              "domain": "www.youtube.com",
              "title": "8 KNOTS You Need to Know - How to tie knots that you will",
              "featured_title": null,
              "description": "8 KNOTS You Need to Know - How to tie knots that you will actually use. If playback doesn't begin shortly, try restarting your device. Videos you watch may be added to the TV's watch history and influence TV recommendations.",
              "timestamp": null,
              "url": "https://www.youtube.com/watch?v=0yfFo0-1u1M/RK=2/RS=mCIIOqrvJW54p2abfBYPW4xu.Wg-",
              "images": null,
              "table": null,
              "rectangle": null
            },
            {
              "type": "hotels_pack",
              "rank_group": 1,
              "rank_absolute": 3,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/section[2]/section[1]/div[1]",
              "title": null,
              "date_from": null,
              "date_to": null,
              "items": [
                {
                  "type": "hotels_pack_element",
                  "price": null,
                  "title": "Distrikt Hotel New York City, Tapestry Collection by Hilton",
                  "description": "342 W 40th St New York, NY 10018",
                  "hotel_identifier": null,
                  "domain": "www.hilton.com",
                  "url": "https://www.hilton.com/en/hotels/nycdsup-distrikt-hotel-new-york-city/?SEO_id=YEXTN-AMER-UP-NYCDSUP&y_source=1_MTExNTc4MjMtNDYyLWxvY2F0aW9uLndlYnNpdGU=/RK=2/RS=4oMHrkJfuC_LaDGPe1Sh5TqwHw8-",
                  "is_paid": false,
                  "rating": null
                },
                {
                  "type": "hotels_pack_element",
                  "price": null,
                  "title": "Tba Nyc Times Square",
                  "description": "340 W 40th St New York, NY 10018",
                  "hotel_identifier": null,
                  "domain": "www.staytba.com",
                  "url": "https://www.staytba.com//RK=2/RS=gQiOOmp0.wAIXvoTDVjKYbC8FIQ-",
                  "is_paid": false,
                  "rating": null
                },
                {
                  "type": "hotels_pack_element",
                  "price": null,
                  "title": "The Knickerbocker Hotel",
                  "description": "6 42nd St New York, NY 11232",
                  "hotel_identifier": null,
                  "domain": "www.theknickerbocker.com",
                  "url": "http://www.theknickerbocker.com//RK=2/RS=nFQs0rAycXMbWtrTZ6FUVdGna58-",
                  "is_paid": false,
                  "rating": null
                }
              ],
              "rectangle": null
            },
            {
              "type": "top_stories",
              "rank_group": 1,
              "rank_absolute": 4,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/section[2]/section[3]/div[1]",
              "title": null,
              "items": [
                {
                  "type": "top_stories_element",
                  "source": "12 hours ago",
                  "domain": "news.yahoo.com",
                  "title": "10 Shot In Brooklyn + NY Lieutenant Gov. Brian Benjamin Arrested",
                  "date": "12 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 23:28:26 +00:00",
                  "url": "https://news.yahoo.com/10-shot-brooklyn-ny-lieutenant-230444235.html/RK=2/RS=a_OgerGK4b7tXXvCd9hFmS_qiTc-"
                },
                {
                  "type": "top_stories_element",
                  "source": "2 days ago",
                  "domain": "news.yahoo.com",
                  "title": "Woman who falsely accused Black teen of stealing her phone at NYC hotel makes plea deal",
                  "date": "2 days ago",
                  "amp_version": false,
                  "timestamp": "2022-04-11 11:28:26 +00:00",
                  "url": "https://news.yahoo.com/woman-falsely-accused-black-teen-224200796.html/RK=2/RS=px_jzCE_0h1RT8FEmaUXa4A6Xtg-"
                },
                {
                  "type": "top_stories_element",
                  "source": "20 hours ago",
                  "domain": "news.yahoo.com",
                  "title": "'SoHo Karen' Pleads Guilty To Hate Crime Charge But Avoids Jail Time",
                  "date": "20 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 15:28:26 +00:00",
                  "url": "https://news.yahoo.com/soho-karen-pleads-guilty-hate-154859149.html/RK=2/RS=nI3BOHROtTgixpGNemPRaCnxHQA-"
                },
                {
                  "type": "top_stories_element",
                  "source": "1 day ago",
                  "domain": "news.yahoo.com",
                  "title": "‘SoHo Karen’ avoids prison for hate crime attack on Black teen in hotel",
                  "date": "1 day ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 11:28:26 +00:00",
                  "url": "https://news.yahoo.com/soho-karen-avoids-prison-hate-234004747.html/RK=2/RS=htj9Ygm8s7rNejoEIeHK6ZTmjL0-"
                },
                {
                  "type": "top_stories_element",
                  "source": "15 hours ago",
                  "domain": "www.yahoo.com",
                  "title": "‘SoHo Karen’ Pleads Guilty To Hate Crime, Avoids Jail In Attack On Black Teen At NYC Hotel",
                  "date": "15 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 20:28:26 +00:00",
                  "url": "https://www.yahoo.com/entertainment/soho-karen-pleads-guilty-hate-204303249.html/RK=2/RS=L7GzfNZzLuaVngJmTOXmdiQyY4Y-"
                },
                {
                  "type": "top_stories_element",
                  "source": "22 hours ago",
                  "domain": "www.yahoo.com",
                  "title": "‘SoHo Karen’ Avoids Jail by Pleading Guilty to a Hate Crime",
                  "date": "22 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 13:28:26 +00:00",
                  "url": "https://www.yahoo.com/lifestyle/soho-karen-wrongly-accused-black-134000470.html/RK=2/RS=Te6ndotqiPb2X7c29LMajZ0KtwE-"
                },
                {
                  "type": "top_stories_element",
                  "source": "11 hours ago",
                  "domain": "news.yahoo.com",
                  "title": "Revealed: Video Threats & Slurs From Man Sought in New York Subway Attack",
                  "date": "11 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-13 00:28:26 +00:00",
                  "url": "https://news.yahoo.com/man-sought-subway-attack-says-002233710.html/RK=2/RS=.A9RYkRPS10SJywATeRiMEDIcrE-"
                },
                {
                  "type": "top_stories_element",
                  "source": "17 hours ago",
                  "domain": "news.yahoo.com",
                  "title": "Rachel Deloache Williams on believing con artist Anna Sorokin",
                  "date": "17 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 18:28:26 +00:00",
                  "url": "https://news.yahoo.com/rachel-deloache-williams-believing-con-185100299.html/RK=2/RS=G3v9PS2JHk.flPZiOP2QLvb2eFk-"
                },
                {
                  "type": "top_stories_element",
                  "source": "22 hours ago",
                  "domain": "news.yahoo.com",
                  "title": "NY Lt. Gov. Brian Benjamin arrested on bribery charges, resigns",
                  "date": "22 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 13:28:26 +00:00",
                  "url": "https://news.yahoo.com/ny-lieutenant-governor-arrested-bribery-134643543.html/RK=2/RS=HLNhKquSzJvTTQC_YleOyB9Iwf4-"
                },
                {
                  "type": "top_stories_element",
                  "source": "1 day ago",
                  "domain": "news.yahoo.com",
                  "title": "The woman who attacked a Black teen in a widely seen video pleaded guilty to a hate crime",
                  "date": "1 day ago",
                  "amp_version": false,
                  "timestamp": "2022-04-12 11:28:26 +00:00",
                  "url": "https://news.yahoo.com/woman-attacked-black-teen-widely-005040187.html/RK=2/RS=CKq6TedDwfR9EIU1tk7DuRppXjY-"
                }
              ],
              "rectangle": null
            },
            {
              "type": "organic",
              "rank_group": 1,
              "rank_absolute": 6,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/section[3]/section[2]/section[1]",
              "domain": "www.expedia.com",
              "title": "Top New York Hotels from $127 (FREE cancellation on select ...",
              "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-",
              "cache_url": null,
              "related_search_url": null,
              "breadcrumb": "www.expedia.com  &#155; …  &#155; New York Vacation Packages",
              "is_image": false,
              "is_video": false,
              "is_featured_snippet": false,
              "is_malicious": false,
              "is_web_story": false,
              "description": "Book your hotel in New York and pay later with Expedia. Browse Expedia's selection of 5217 hotels and places to stay in New York. Find cheap deals and discount rates that...",
              "pre_snippet": null,
              "extended_snippet": null,
              "images": null,
              "amp_version": false,
              "rating": null,
              "price": null,
              "highlighted": null,
              "links": [
                {
                  "type": "link_element",
                  "title": "Where is the best place for a stay in New York?",
                  "description": "The Sherry Netherland is ranked highly by Expedia customers. This 4.5-star hotel offers a 24-hour fitness center and a snack bar/deli. It is locate...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "Which popular hotels in New York are known for their enhanced cleaning measures?",
                  "description": "Hotel Riu Plaza New York Times Square is a 4-star hotel offering hand sanitizer for guests, social distancing measures, and enhanced cleaning. If y...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "What are some of the best vacation home rentals that New York has to offer?",
                  "description": "Nannas Piano!! Recently Renovated Two Story In The Heart Of Queens - Close To Jfk Airport! 3 Bedroom Home: Visitors give good reviews to this New Y...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "If I need to cancel my hotel reservation in New York, will I receive a refund?",
                  "description": "Yes! The majority of room reservations are fully refundable if cancelled before the hotel’s cancellation deadline, which often is within 24-48 hour...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "Where can I learn more about changing or cancelling my trip to New York?",
                  "description": "To access more information about changing or cancelling your trip to New York, go to https://www.expedia.com/service/.",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "What's the best budget-friendly accommodation in New York?",
                  "description": "Based on reviews, ibis Styles New York LaGuardia Airport is a popular 3-star hotel for our travelers looking for an economical choice, and features...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "What's the best place to stay in Queens?",
                  "description": "With 239 lodging options to choose from in this neighborhood, you're sure to find what you're looking for as you plan your trip. Based on Expedia c...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "What's a favorite place to stay in Midtown?",
                  "description": "In this neighborhood, there are 655 lodging options for your stay, so you should find just want you want for your visit. Hotel Giraffe by Library H...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "What's the best place to stay for families in New York?",
                  "description": "Baccarat Hotel and Residences New York is a top 5-star hotel on Expedia for families, and features an indoor pool and a restaurant. Other good choi...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                },
                {
                  "type": "link_element",
                  "title": "What's the best hotel for couples in New York?",
                  "description": "Jet Luxury @ The Dominick is a favorite 5-star hotel for couples, and features premium bedding and 24-hour room service. Other good options for a r...",
                  "url": "https://www.expedia.com/New-York-Hotels.d178293.Travel-Guide-Hotels/RK=2/RS=feUnJUaKrz2VTbua7E9DO8jRp80-"
                }
              ],
              "faq": null,
              "extended_people_also_search": null,
              "about_this_result": null,
              "related_result": null,
              "timestamp": null,
              "rectangle": null
            },
            {
              "type": "ai_overview",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/ol[1]/li[1]/div[1]",
              "asynchronous_ai_overview": false,
              "markdown": null,
              "items": [
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": null,
                  "text": "A fitness basketball court is designed for both recreational play and exercise. It typically features a standard basketball layout but may include additional fitness elements. Here are some key aspects to consider:**",
                  "markdown": "**A fitness basketball court is designed for both recreational play and exercise.** It typically features a standard basketball layout but may include additional fitness elements. Here are some key aspects to consider:**"
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "Court Dimensions",
                  "text": "nA standard basketball court measures 94 feet long by 50 feet wide.nFor recreational use, smaller courts (e.g., half-courts) are common.n",
                  "markdown": "**Court Dimensions** nn- A standard basketball court measures 94 feet long by 50 feet wide.n- For recreational use, smaller courts (e.g., half-courts) are common."
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "Fitness Features",
                  "text": "nCourts may incorporate fitness stations or areas for agility drills.nSome facilities offer multi-use spaces for group classes or personal training.n",
                  "markdown": "**Fitness Features** nn- Courts may incorporate fitness stations or areas for agility drills.n- Some facilities offer multi-use spaces for group classes or personal training."
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "Surface Material",
                  "text": "nCommon surfaces include hardwood, synthetic materials, or rubber for safety and comfort.nProper flooring helps reduce injury risk during play and workouts.n",
                  "markdown": "**Surface Material** nn- Common surfaces include hardwood, synthetic materials, or rubber for safety and comfort.n- Proper flooring helps reduce injury risk during play and workouts."
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "Accessibility",
                  "text": "nMany fitness basketball courts are designed to be accessible to all skill levels.nLook for courts that offer programs or leagues for various age groups and abilities.n",
                  "markdown": "**Accessibility** nn- Many fitness basketball courts are designed to be accessible to all skill levels.n- Look for courts that offer programs or leagues for various age groups and abilities."
                }
              ],
              "references": null,
              "rectangle": null
            },
            {
              "type": "video",
              "rank_group": 1,
              "rank_absolute": 10,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/section[3]/section[2]/section[5]",
              "items": [
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Top 10 Luxury Hotels In New York City in 2019",
                  "timestamp": "2019-03-30 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=sVxwYO7ZC_c&tit=Top+10+Luxury+Hotels+In+New+York+City+in+2019&l=430&vid=7bb8a26e86c5253c6a7757f186881929&sigr=9BnJXNHRSGR8&sigb=6PDNlDmf.7KV&sigt=qDSeFXlcEKdH&sigi=jPcCC_yS4QmZ"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Inside Five of New York's Priciest Hotel Suites",
                  "timestamp": "2015-06-30 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=47M0ZfZP7-4&tit=Inside+Five+of+New+York's+Priciest+Hotel+Suites&l=149&vid=8c50bac1b60447d2531958a478196a00&sigr=DMcbba5rje1a&sigb=6PDNlDmf.7KV&sigt=9mA2SlnR0KU1&sigi=Rjf2TH8zj4HK"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Roosevelt Hotel Closing Latest Sign of NYC Tourism Trouble | NBC New York",
                  "timestamp": "2020-10-12 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=SNkcLL0h5TQ&tit=Roosevelt+Hotel+Closing+Latest+Sign+of+NYC+Tourism+Trouble+%7C+NBC+New+York&l=181&vid=24de20eec3cad7b6cfe12617fa39a6f1&sigr=ASXKnL9g13W9&sigb=6PDNlDmf.7KV&sigt=UoWFr5IzDJh.&sigi=B5fmq_QVWzAz"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Yotel Hotel Review Located in New York City",
                  "timestamp": "2018-04-29 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=e6ThG7se-6s&tit=Yotel+Hotel+Review+Located+in+New+York+City&l=771&vid=345e60b8abfe78ab5cf403cfa406c2d9&sigr=gyphwlwsBN2Q&sigb=6PDNlDmf.7KV&sigt=37.43VNiHojf&sigi=Npx.XF9alfiy"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Hotel Tour: The Millenium Hilton New York City, NY",
                  "timestamp": "2015-11-01 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=svRr1CyTUYs&tit=Hotel+Tour:+The+Millenium+Hilton+New+York+City,+NY&l=592&vid=07b487261a44fa2fd25527c00907f35b&sigr=OUs1qBCgyl0g&sigb=6PDNlDmf.7KV&sigt=AxEyitV0IucK&sigi=xw.TDua8VHYh"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Westgate New York Grand Central Hotel | Best Hotels In New York City",
                  "timestamp": "2020-03-04 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=B8qv_SUfx_M&tit=Westgate+New+York+Grand+Central+Hotel+%7C+Best+Hotels+In+New+York+City&l=231&vid=3e089ef2618f5a3cf0f9278db47feb89&sigr=cWhn6.lZzKjZ&sigb=6PDNlDmf.7KV&sigt=W48c3Wfsj3lA&sigi=mM4H502meGYx"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Inside the Most Expensive Hotel Room in New York City | WSJ",
                  "timestamp": "2015-06-30 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=eaSdTJAYl6s&tit=Inside+the+Most+Expensive+Hotel+Room+in+New+York+City+%7C+WSJ&l=167&vid=accc1f369938fcdee480f9434eb28e8f&sigr=SNPFeVn3KPBw&sigb=6PDNlDmf.7KV&sigt=MnhYYBK.bhv9&sigi=Rh5nuGDp5jvs"
                },
                {
                  "type": "video_element",
                  "source": "YouTube",
                  "title": "Turning Empty New York City Hotels Into Affordable Homes | NBC New York",
                  "timestamp": "2021-03-30 00:00:00 +00:00",
                  "url": "https://www.youtube.com/watch?v=3kruGTDhxPk&tit=Turning+Empty+New+York+City+Hotels+Into+Affordable+Homes+%7C+NBC+New+York&l=218&vid=3edf16e50ab92637aabf3217bb8d78f4&sigr=.y01RAi9kfb0&sigb=6PDNlDmf.7KV&sigt=47qnIgF.WqPZ&sigi=WMkgPSdhcT5R"
                }
              ],
              "rectangle": null
            },
            {
              "type": "images",
              "rank_group": 1,
              "rank_absolute": 13,
              "page": 2,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/section[3]/section[2]/section[8]",
              "title": "Images",
              "url": "https://images.search.yahoo.com/search/images;_ylt=AwrT4abYs1ZivEoA9yxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York",
              "items": [
                {
                  "type": "images_element",
                  "alt": "The Plaza Hotel: the Most Enviable Address in New York City",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA.Cxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=1589&w=1300&imgurl=www.themilliardaire.co%2Fwp-content%2Fuploads%2F2014%2F10%2Fthe-plaza-hotel-new-york-20.jpg&rurl=https%3A%2F%2Fwww.themilliardaire.co%2Fhotspot%2Fthe-plaza-hotel-in-new-york-12582%2F&size=542KB&name=The+Plaza+Hotel%3A+the+Most+Enviable+Address+in+New+York+City&oid=OIP.fA-FnGGhoT3GOW__2_fvjgHaJD&tt=The+Plaza+Hotel%3A+the+Most+Enviable+Address+in+New+York+City&sigr=uOGqBNpFpwGF&sigi=QAw3ts3I0RLv&sigb=6PDNlDmf.7KV&sign=htiGdTxafkog&sigt=htiGdTxafkog",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.fA-FnGGhoT3GOW__2_fvjgHaJD&pid=Api&rs=1&c=1&qlt=95&w=81&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "The Top 15 Luxury Hotel Locations in 2012: #2 New York | Five Star Alliance",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA.Sxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=1430&w=1000&imgurl=www.fivestaralliance.com%2Ffiles%2Ffsa%2Fnodes%2F2010%2F15030%2F15030_3_gansevoortparkavenue_fsa-g.jpg&rurl=https%3A%2F%2Fwww.fivestaralliance.com%2Fnew-york-ny%2Fthe-top-15-luxury-hotel-locations-in-2012-2-new-york&size=97KB&name=The+Top+15+Luxury+Hotel+Locations+in+2012%3A+%232+New+York+%7C+Five+Star+Alliance&oid=OIP.vAzq4YbYKn1zkMIKmroyRAHaKl&tt=The+Top+15+Luxury+Hotel+Locations+in+2012%3A+%232+New+York+%7C+Five+Star+Alliance&sigr=syzc95PGgCWe&sigi=q03rkZOTY4Jz&sigb=6PDNlDmf.7KV&sign=iIx0xWdugAJY&sigt=iIx0xWdugAJY",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.vAzq4YbYKn1zkMIKmroyRAHaKl&pid=Api&rs=1&c=1&qlt=95&w=70&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "The 10 Best Luxury Hotels in New York City - Hotels in Heaven",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA.ixx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=842&w=1500&imgurl=www.hotelsinheaven.com%2Fwp-content%2Fuploads%2F2020%2F06%2FAman-New-York-Exterior_High-Res_15490-1500x842.jpg&rurl=https%3A%2F%2Fwww.hotelsinheaven.com%2Ftop%2Fthe-10-best-luxury-hotels-in-new-york-city%2F&size=385KB&name=The+10+Best+Luxury+Hotels+in+New+York+City+-+Hotels+in+Heaven&oid=OIP.VUmb5Ysfn48EwDcnWj1MSQHaEK&tt=The+10+Best+Luxury+Hotels+in+New+York+City+-+Hotels+in+Heaven&sigr=6PrwpzPCsVXx&sigi=Q6SKPV4.qSUU&sigb=6PDNlDmf.7KV&sign=c_gPffR48HLU&sigt=c_gPffR48HLU",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.VUmb5Ysfn48EwDcnWj1MSQHaEK&pid=Api&rs=1&c=1&qlt=95&w=178&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "The St Regis New York- New York, NY Hotels- Deluxe Hotels in New York- GDS Reservation Codes ...",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA.yxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=2667&w=4000&imgurl=www.cfmedia.vfmleonardo.com%2FimageRepo%2F7%2F0%2F108%2F616%2F447%2Fnycxr-exterior-1674-hor-clsc_O.jpg&rurl=https%3A%2F%2Fwww.travelagewest.com%2FHotels%2FNew-York-NY%2FThe-St-Regis-New-York-p50344762&size=1667KB&name=The+St+Regis+New+York-+New+York%2C+NY+Hotels-+Deluxe+Hotels+in+New+York-+GDS+Reservation+Codes+...&oid=OIP.WzokV_348GQHdSv0M5yxqQHaE8&tt=The+St+Regis+New+York-+New+York%2C+NY+Hotels-+Deluxe+Hotels+in+New+York-+GDS+Reservation+Codes+...&sigr=2PDqgKuwo4Bx&sigi=3Ug_bXqc4Eyp&sigb=6PDNlDmf.7KV&sign=4NQleHJNGvjU&sigt=4NQleHJNGvjU",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.WzokV_348GQHdSv0M5yxqQHaE8&pid=Api&rs=1&c=1&qlt=95&w=150&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "Arthouse Hotel New York City: 2019 Room Prices $94, Deals & Reviews | Expedia",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA_Cxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=1000&w=787&imgurl=images.trvl-media.com%2Fhotels%2F1000000%2F20000%2F12200%2F12117%2F922bba74_z.jpg&rurl=https%3A%2F%2Fwww.expedia.com%2FNew-York-Hotels-NYLO-New-York-City.h12117.Hotel-Information&size=304KB&name=Arthouse+Hotel+New+York+City%3A+2019+Room+Prices+%2494%2C+Deals+%26amp%3B+Reviews+%7C+Expedia&oid=OIP.H-axIo-YspyTDRCkvIkXfQHaJa&tt=Arthouse+Hotel+New+York+City%3A+2019+Room+Prices+%2494%2C+Deals+%26amp%3B+Reviews+%7C+Expedia&sigr=TBZtHpS.PrUH&sigi=f1WRZUQCkjqM&sigb=6PDNlDmf.7KV&sign=Hq8xafhmvBny&sigt=Hq8xafhmvBny",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.H-axIo-YspyTDRCkvIkXfQHaJa&pid=Api&rs=1&c=1&qlt=95&w=78&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "The 40 Best Hotels in New York City - Photos - Condé Nast Traveler",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA_Sxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=768&w=1024&imgurl=media.cntraveler.com%2Fphotos%2F53e2f811c2d3f39d3610cc47%2Fmaster%2Fpass%2Fnew-york-palace-exterior.jpg&rurl=https%3A%2F%2Fwww.cntraveler.com%2Fgalleries%2F2014-11-19%2Ftop-25-hotels-in-new-york-city-readers-choice-awards-2014&size=250KB&name=The+40+Best+Hotels+in+New+York+City+-+Photos+-+Cond%C3%A9+Nast+Traveler&oid=OIP.jzeL-0BA27JjkcpooicePgHaFj&tt=The+40+Best+Hotels+in+New+York+City+-+Photos+-+Cond%C3%A9+Nast+Traveler&sigr=oypd_ItQl4FD&sigi=uAelOmHb3L3i&sigb=6PDNlDmf.7KV&sign=19WQ3D9tY22W&sigt=19WQ3D9tY22W",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.jzeL-0BA27JjkcpooicePgHaFj&pid=Api&rs=1&c=1&qlt=95&w=133&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "Hotel Belleclaire in New York (Manhattan), New York - Kid-friendly Hotel Reviews | Trekaroo",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA_ixx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=683&w=1024&imgurl=api.trekaroo.com%2Fsystem%2Fphotos%2F244829%2Foriginal%2Fbelleclaire_hotel_upper_west_side.jpg%3F1510530354&rurl=https%3A%2F%2Fwww.trekaroo.com%2Fhotels%2Fhotel-belleclaire-new-york-manhattan-new-york&size=125KB&name=Hotel+Belleclaire+in+New+York+%28Manhattan%29%2C+New+York+-+Kid-friendly+Hotel+Reviews+%7C+Trekaroo&oid=OIP.BIZ-437MG-y7EFxu1S6O9wHaE8&tt=Hotel+Belleclaire+in+New+York+%28Manhattan%29%2C+New+York+-+Kid-friendly+Hotel+Reviews+%7C+Trekaroo&sigr=yXcTZWV41nWr&sigi=dgZCowLJLjUj&sigb=6PDNlDmf.7KV&sign=RyLxFRMtpEEz&sigt=RyLxFRMtpEEz",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.BIZ-437MG-y7EFxu1S6O9wHaE8&pid=Api&rs=1&c=1&qlt=95&w=150&h=100"
                },
                {
                  "type": "images_element",
                  "alt": "10 Romantic Hotels in New York City to Check Into Now | Jetsetter",
                  "url": "https://images.search.yahoo.com/images/view;_ylt=AwrT4abYs1ZivEoA_yxx.9w4;_ylu=Y29sbwNncTEEcG9zAzIEdnRpZAMEc2VjA3Nj?p=hotels+in+New+York&back=https%3A%2F%2Fsearch.yahoo.com%2Fsearch%3Fp%3Dhotels%2Bin%2BNew%2BYork%26n%3D100%26ei%3DUTF-8%26va_vt%3Dany%26vo_vt%3Dany%26ve_vt%3Dany%26vp_vt%3Dany%26vst%3D0%26vf%3Dall%26vc%3Dus%26vm%3Di%26fl%3D0%26vl%3Dlang_en&no=1&h=1433&w=1910&imgurl=www.jetsetter.com%2Fuploads%2Fsites%2F7%2F2018%2F04%2FK2ft14xp.jpeg&rurl=https%3A%2F%2Fwww.jetsetter.com%2Fmagazine%2Fromantic-hotels-in-new-york%2F&size=1470KB&name=10+Romantic+Hotels+in+New+York+City+to+Check+Into+Now+%7C+Jetsetter&oid=OIP.U42FrgbtYd2xLznnmHEV3wHaFj&tt=10+Romantic+Hotels+in+New+York+City+to+Check+Into+Now+%7C+Jetsetter&sigr=DHk7tHU9uhRq&sigi=lVsnZcijn.4X&sigb=6PDNlDmf.7KV&sign=S5GptQmrMBEH&sigt=S5GptQmrMBEH",
                  "image_url": "https://tse1.mm.bing.net/th?id=OIP.U42FrgbtYd2xLznnmHEV3wHaFj&pid=Api&rs=1&c=1&qlt=95&w=133&h=100"
[...]
